package eu.dnetlib.repo.manager.domain;

import com.fasterxml.jackson.annotation.JsonAutoDetect;

import java.util.List;

@JsonAutoDetect
public class AggregationHistoryResponse extends Response {

    private List<AggregationInfo> aggregationInfo;

    public AggregationHistoryResponse() {
        // no-arg constructor
    }

    public AggregationHistoryResponse(final List<AggregationInfo> aggregationInfo) {
        super();
        this.aggregationInfo = aggregationInfo;
    }

    public List<AggregationInfo> getAggregationInfo() {
        return aggregationInfo;
    }

    public void setAggregationInfo(final List<AggregationInfo> aggregationInfo) {
        this.aggregationInfo = aggregationInfo;
    }
}

